ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
subscription_controller_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| unsibscribe ($Options)
| controller ($Options)

## Data Fields
| $Security = false
| $SubscriptionAlgorithms = false

## Detailed Description

This manager helps to manage entites.

Author
  Dodonov A.A.

Definition at line 26 of file subscription_controller.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 51 of file subscription_controller.php.

{
try
{
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->SubscriptionAlgorithms = get_package(
'subscription::subscription_algorithms' , 'last' , __FILE__
);
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

controller | ( |  | $Options | ) |

Function controls component.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 121 of file subscription_controller.php.

{
try
{
$ContextSet = get_package_object( 'gui::context_set' , 'last' , __FILE__ );
$Path = dirname( __FILE__ );
$ContextSet->add_context( "$Path/conf/cfcxs_unsubscribe" );
$ContextSet->execute( $Options , $this , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

unsibscribe | ( |  | $Options | ) |

Function controls component.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 84 of file subscription_controller.php.

{
try
{
$UserId = $this->Security->get_gp( 'user_id' , 'integer' , false );
if( $UserId !== false )
{
$Hash = $this->Security->get_gp( 'hash' , 'string' );
$this->SubscriptionAlgorithms->unsubscribe_user( $UserId , $Hash );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Security = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file subscription_controller.php.

$SubscriptionAlgorithms = false

Definition at line 39 of file subscription_controller.php.

The documentation for this class was generated from the following file:

- packages/subscription/packages/subscription_controller/subscription_controller.php